REISERFSTUNE(8)

NUME
reiserfstune - instrumentul de ajustare pentru sistemul de fișiere ReiserFS

SINOPSIS
reiserfstune [ -f ] [ -h | --help ] [ -j | --journal-device FILE ] [ --no-journal-available ] [ --journal-new-device FIȘIER ] [ --make-journal-standard ] [ -s | --journal-new-size N ] [ -o | --journal-new-offset N ] [ -t | --max-transaction-size N ] [ -b | --add-badblocks fișier ] [ -B | --badblocks fișier ] [ -u | --uuid UUID ] [ -l | --label ETICHETĂ ] [ -c | --check-interval interval-în-zile ] [ -C | --time-last-checked marca-temporală ] [ -m | --max-mnt-count număr ] [ -M | --mnt-count număr ] dispozitiv

DESCRIERE
reiserfstune este utilizat pentru ajustarea ReiserFS. Acesta poate modifica doi parametri ai jurnalului (dimensiunea jurnalului și dimensiunea maximă a tranzacției) și poate muta locația jurnalului pe un nou dispozitiv de blocuri specificat; (vechiul jurnal ReiserFS poate fi păstrat nefolosit sau eliminat la alegerea utilizatorului). În afară de aceasta, reiserfstune poate stoca lista de blocuri defecte în ReiserFS și poate defini UUID și ETICHETA. Notă: În momentul scrierii acestui articol, jurnalul realocat a fost implementat pentru o versiune specială a ReiserFS și nu era de așteptat să fie introdus în nucleul general până aproximativ la Linux 2.5. Acest lucru înseamnă că, dacă aveți nucleul standard, trebuie să aplicați un plasture (o corecție) special. Fără acest plasture, nucleul va refuza să monteze sistemul de fișiere nou modificat. Vă vom cere 25 de dolari pentru a vă explica acest lucru dacă ne întrebați de ce nu funcționează.

Poate că cea mai interesantă aplicație a acestui cod este de a plasa jurnalul pe un disc de stare solidă.

dispozitiv
    este fișierul special care corespunde dispozitivului de bloc nou specificat (de exemplu, „/dev/hdXX” pentru partiția de disc IDE sau „/dev/sdXX” pentru partiția de disc SCSI).

OPȚIUNI

-h | --help
    Imprimă informațiile de utilizare și iese.

-j | --journal-device FIȘIER
    FIȘIER este numele de fișier al dispozitivului de blocuri pe care sistemul de fișiere are jurnalul curent (cel dinaintea rulării «reiserfstune»). Această opțiune este necesară atunci când jurnalul se află deja pe un dispozitiv separat de dispozitivul principal de date (deși poate fi evitată cu --no-journal-available). Dacă nu specificați dispozitivul de jurnal prin această opțiune, «reiserfstune» presupune că jurnalul se află pe dispozitivul principal.

--no-journal-available
    permite ca reiserfstune să continue atunci când dispozitivul de blocuri al jurnalului curent nu mai este disponibil. Acest lucru se poate întâmpla dacă un disc se strică și îl eliminați (și rulați «fsck»).

--journal-new-device FIȘIER
    FIȘIER este numele de fișier al dispozitivului de blocuri care va conține noul jurnal pentru sistemul de fișiere. Dacă nu specificați acest lucru, «reiserfstune» presupune că dispozitivul de jurnal rămâne același.

-s | --journal-new-size N
    N este parametrul de dimensiune pentru noul jurnal. În cazul în care jurnalul se află pe un dispozitiv separat, dimensiunea sa este egală cu numărul de blocuri pe care îl are dispozitivul respectiv. Atunci când jurnalul trebuie să se afle pe același dispozitiv ca și sistemul de fișiere, dimensiunea sa este egală cu numărul de blocuri alocate pentru jurnal de către mkreiserfs atunci când a creat sistemul de fișiere. Valoarea minimă este de 513 în ambele cazuri.

-o | --journal-new-offset N
    N este poziția din blocuri de la care va începe jurnalul atunci când jurnalul trebuie să fie pe un dispozitiv separat. Valoarea implicită este 0. Nu are niciun efect atunci când jurnalul trebuie să fie pe același dispozitiv ca și sistemul de fișiere. Majoritatea utilizatorilor nu au nevoie să utilizeze această funcție. Poate fi utilizată atunci când doriți ca jurnalele din mai multe sisteme de fișiere să se afle pe același dispozitiv și nu doriți sau nu puteți să partiționați acel dispozitiv.

-t | --maximal-transaction-size N
    N este parametrul de dimensiune maximă a tranzacției pentru noul jurnal. Valoarea implicită și valoarea maximă posibilă este de 1024 de blocuri. Ar trebui să fie mai mică decât jumătate din dimensiunea jurnalului. Dacă este specificată incorect, aceasta va fi ajustată.

-b | --add-badblocks fișier
    fișier este numele fișierului care conține lista de blocuri care urmează să fie marcate ca fiind defectuoase din sistemul de fișiere. Lista este adăugată la lista de blocuri defectuoase din sistemul de fișiere.

-B | --badblocks fișier
    fișier este numele fișierului care conține lista de blocuri care urmează să fie marcate ca fiind defectuoase din sistemul de fișiere. Lista de blocuri defectuoase din sistemul de fișiere se șterge înainte ca lista specificată în fișier să fie adăugată la sistemul de fișiere.

-f | --force
    În mod normal, reiserfstune va refuza să modifice un jurnal al unui sistem de fișiere care a fost creat înainte de acest cod de realocare a jurnalului. Acest lucru se datorează faptului că, dacă schimbați jurnalul, nu vă puteți întoarce (fără opțiunea specială --make-journal-standard) la un nucleu vechi căruia îi lipsește această caracteristică și să puteți utiliza sistemul de fișiere. Această opțiune îl forțează să facă acest lucru. Specificată de mai multe ori, permite evitarea solicitării de confirmare.

--make-journal-standard
    După cum s-a menționat mai sus, dacă sistemul de fișiere are un jurnal non-standard, acesta nu poate fi montat pe nucleu fără codul de realocare a jurnalului. Lucrul poate fi schimbat, singura condiție este să existe o zonă rezervată pe dispozitivul principal a jurnalului standard cu dimensiunea de 8193 de blocuri (va fi așa, de exemplu, dacă veți converti jurnalul standard în jurnal non-standard). Este suficient să specificați această opțiune atunci când realocați jurnalul înapoi, sau fără realocare dacă îl aveți deja pe dispozitivul principal.

-u | --uuid UUID
    Stabilește identificatorul unic universal ( UUID ) al sistemului de fișiere la UUID (a se vedea, de asemenea, uuidgen(8)). Formatul UUID este o serie de cifre hexazecimale separate prin cratime, precum aceasta: „c1b9d5a2-f162-11cf-9ece-0020afc76f16”.

-l | --label ETICHETA
    Stabilește eticheta de volum a sistemului de fișiere. ETICHETA poate avea cel mult 16 caractere; dacă are mai mult de 16 caractere, «reiserfstune» o va trunchia.

-c | --check-interval interval-în-zile
    Ajustează timpul maxim dintre două verificări ale sistemului de fișiere. O valoare de «disable» va dezactiva verificarea în funcție de timp. O valoare de «default» va restabili valoarea implicită din timpul compilării.

    Se recomandă cu tărie ca verificarea -m (dependentă de numărul de montări) sau -c (dependentă de timp) să fie activată pentru a forța verificarea periodică completă fsck.reiserfs(8) a sistemului de fișiere. Dacă nu se procedează astfel, se poate întâmpla ca deteriorarea sistemului de fișiere (din cauza unor discuri defecte, cabluri, memorie sau erori ale nucleului) să treacă neobservată, ceea ce poate duce, în cele din urmă, la pierderea sau deteriorarea datelor.

-C | --time-last-checked marca-temporală
    Stabilește ora la care sistemul de fișiere a fost verificat ultima dată cu fsck.reiserfs. Acest lucru poate fi util în scripturile care utilizează un Logical Volume Manager pentru a realiza un instantaneu consistent al unui sistem de fișiere, iar apoi verifică sistemul de fișiere în timpul orelor libere pentru a se asigura că nu a fost corupt din cauza unor probleme hardware, etc. Dacă sistemul de fișiere a fost curat, atunci această opțiune poate fi utilizată pentru a stabili ultima oră de verificare a sistemului de fișiere original. Formatul parametrului opțiunii „-time-last-checked” este formatul internațional de date, cu un specificator de oră opțional, adică AAAALLZZ[HH[MM[SS]]]. Se acceptă, de asemenea, cuvântul cheie now (acum), caz în care ultima oră verificată va fi fixată la ora curentă.

-m | --max-mnt-count număr-max-de-montări
    Ajustează numărul de montări după care sistemul de fișiere va fi verificat de fsck.reiserfs(8). Dacă parametrul „număr-max-de-montări” este definit ca «disable», numărul de ori de câte ori sistemul de fișiere este montat nu va fi luat în considerare de fsck.reiserfs(8) și de nucleu. O valoare de «default» va restabili valoarea implicită din timpul compilării.

    Prin eșalonarea numerelor de montare la care sistemele de fișiere sunt verificate forțat se va evita ca toate sistemele de fișiere să fie verificate în același timp atunci când se utilizează sisteme de fișiere cu jurnal.

    Ar trebui să luați în considerare cu atenție consecințele dezactivării în totalitate a verificării dependente de numărul de montări. Unitățile de disc defecte, cablurile, memoria și erorile de nucleu pot corupe un sistem de fișiere fără a marca sistemul de fișiere ca fiind murdar sau în eroare. Dacă folosiți jurnalizarea pe sistemul de fișiere, acesta nu va fi niciodată marcat ca fiind murdar, deci nu va fi verificat în mod normal. O eroare de sistem de fișiere detectată de nucleu va forța în continuare o verificare a sistemului de fișiere la următoarea repornire, dar s-ar putea să fie deja prea târziu pentru a preveni pierderea de date în acel moment.

    Această opțiune necesită un nucleu care să permită incrementarea numărului la fiecare montare. Această caracteristică nu a fost încorporată în versiunile de kernel mai vechi de 2.6.25.

    A se vedea, de asemenea, opțiunea -c pentru verificarea în funcție de timp.

-M | --mnt-count număr
    Stabilește numărul de ori de câte ori a fost montat sistemul de fișiere. Dacă este stabilit la o valoare mai mare decât parametrul „număr-max-de-montări” stabilit de opțiunea -m, fsck.reiserfs(8) va verifica sistemul de fișiere la următoarea repornire.

SCENARII POSIBILE DE UTILIZARE A REISERFSTUNE:
1. Aveți ReiserFS pe „/dev/hda1” și doriți ca acesta să funcționeze cu jurnalul său pe dispozitivul „/dev/jurnal”.

    porniți nucleul corectat cu plasturele special „suport pentru jurnal realocabil”
    «reiserfstune /dev/hda1 --journal-new-device /dev/jurnal -f»
    «mount /dev/hda1» și utilizați sistemul de fișiere recent montat.
    Doriți să modificați dimensiunea maximă a tranzacției la 512 blocuri
    «reiserfstune -t 512 /dev/hda1»
    Doriți să folosiți sistemul dvs. de fișiere pe un alt nucleu care nu conține
    suport pentru jurnale realocabile.
    «umount /dev/hda1»
    «reiserfstune /dev/hda1 -j /dev/journal --journal-new-device /dev/hda1 --make-journal-standard»
    «mount /dev/hda1» și utilizați sistemul de fișiere recent montat.

2. Doriți să aveți ReiserFS pe /dev/hda1 și să puteți comuta între diferite jurnale, inclusiv jurnalul localizat
pe dispozitivul care conține sistemul de fișiere.

    porniți nucleul corectat cu plasturele special „suport pentru jurnal realocabil”
    «mkreiserfs /dev/hda1»
    aveți un disc de stare solidă (poate „/dev/sda”, acestea arată de obicei ca discurile scsi)
    «reiserfstune --journal-new-device /dev/sda1 -f /dev/hda1»
    Dispozitivul dvs. scsi moare, este ora trei dimineața, aveți un dispozitiv IDE
    în plus prin preajmă
    «reiserfsck --no-journal-available /dev/hda1»
    sau
    «reiserfsck --rebuild-tree --no-journal-available /dev/hda1»
    «reiserfstune --no-journal-available --journal-new-device /dev/hda1 /dev/hda1»
    folosind „/dev/hda1” sub nucleul corectat

AUTOR
Această versiune de reiserfstune a fost scrisă de Vladimir Demidov <vova@namesys.com> și Edward Shishkin <edward@namesys.com>.

ERORI
Raportați erorile către dezvoltatorii ReiserFS <reiserfs-devel@vger.kernel.org>, furnizând cât mai multe informații posibile - componentele calculatorului, nucleul, corecțiile, configurările, toate mesajele imprimate; verificați fișierul syslog pentru orice informații conexe.

CONSULTAȚI ȘI
reiserfsck(8), debugreiserfs(8), mkreiserfs(8)

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.